repo/proj/guru:dev commit in: gui-wm/swayfx/

"Saveliy Boyarchuk" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786260930.b7e0ea9886fbbbbb8a2665e4af639a0f5fea3cd4.sav.boyar@gentoo>
commit:     b7e0ea9886fbbbbb8a2665e4af639a0f5fea3cd4
Author:     Saveliy Boyarchuk <sav.boyar <AT> gmail <DOT> com>
AuthorDate: Sun Aug  9 07:35:30 2026 +0000
Commit:     Saveliy Boyarchuk <sav.boyar <AT> gmail <DOT> com>
CommitDate: Sun Aug  9 07:35:30 2026 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=b7e0ea98

gui-wm/swayfx: add 0.6

Signed-off-by: Saveliy Boyarchuk <sav.boyar <AT> gmail.com>

 gui-wm/swayfx/Manifest          |   1 +
 gui-wm/swayfx/swayfx-0.6.ebuild | 118 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 119 insertions(+)

diff --git a/gui-wm/swayfx/Manifest b/gui-wm/swayfx/Manifest
index 3b25cdfa81..f4af57200f 100644
--- a/gui-wm/swayfx/Manifest
+++ b/gui-wm/swayfx/Manifest
@@ -1 +1,2 @@
 DIST swayfx-0.5.3.tar.gz 17597207 BLAKE2B 2e65d3a47c7c883d58d871985827025ce670c152410d5cd7b3335395a390a195a6a5b96a8a0f71b4bd629b85f304c5150c5a0931c4d6ad8cca28425524071cf1 SHA512 56c9b240fe923702cc5d7bfd30caa4fe7bfabef2a2ac8cae70f57cbb7b83376535813ae1dfef1f49318679e11455e12ce93631649f96f7f64e6072f83d2029fa
+DIST swayfx-0.6.tar.gz 17611155 BLAKE2B b993a4c29937a528946693e9d78d805c6f21568e1be0939263ee49159ac04b369b9a2ccd88ca434d02691cc5d1c314abe5446b00d54fa79e10c1e2aaf95dfc1b SHA512 567e24fd4fd5e067590e810dee9a30f96fe0dd3a9bf8d3611198b69fd3c87906e648ec9a2d482c7da4efe642a7701378827981f3115e1e1be08691dee6969eb9

diff --git a/gui-wm/swayfx/swayfx-0.6.ebuild b/gui-wm/swayfx/swayfx-0.6.ebuild
new file mode 100644
index 0000000000..3530e73a78
--- /dev/null
+++ b/gui-wm/swayfx/swayfx-0.6.ebuild
@@ -0,0 +1,118 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU Public License v2
+
+EAPI=8
+
+# fork of gui-wm/sway::gentoo
+
+inherit fcaps meson optfeature
+
+MY_PN="sway"
+
+DESCRIPTION="SwayFX: Sway, but with eye candy!"
+HOMEPAGE="https://github.com/WillPower3309/swayfx"
+
+if [[ ${PV} == *9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/WillPower3309/swayfx.git"
+else
+	SRC_URI="https://github.com/WillPower3309/swayfx/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm64"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="+swaybar +swaynag tray wallpapers X"
+REQUIRED_USE="tray? ( swaybar )"
+
+DEPEND="
+	>=dev-libs/json-c-0.13:0=
+	>=dev-libs/libinput-1.26.0:0=
+	virtual/libudev
+	sys-auth/seatd:=
+	dev-libs/libevdev
+	dev-libs/libpcre2
+	>=dev-libs/wayland-1.21.0
+	x11-libs/cairo
+	x11-libs/libdrm
+	>=x11-libs/libxkbcommon-1.5.0:0=
+	x11-libs/pango
+	x11-libs/pixman
+	media-libs/libglvnd
+	swaybar? ( x11-libs/gdk-pixbuf:2 )
+	tray? ( || (
+		sys-apps/systemd
+		sys-auth/elogind
+		sys-libs/basu
+	) )
+	wallpapers? ( gui-apps/swaybg[gdk-pixbuf(+)] )
+	X? (
+		x11-libs/libxcb:0=
+		x11-libs/xcb-util-wm
+	)
+	gui-libs/scenefx:0.5
+"
+# x11-libs/xcb-util-wm needed for xcb-iccm
+if [[ ${PV} == 9999 ]]; then
+	DEPEND+="~gui-libs/wlroots-9999:=[X=]"
+else
+	DEPEND+="
+		gui-libs/wlroots:0.20[X=]
+	"
+fi
+RDEPEND="
+	${DEPEND}
+	x11-misc/xkeyboard-config
+	!gui-wm/sway
+"
+BDEPEND="
+	>=dev-libs/wayland-protocols-1.24
+	>=dev-build/meson-1.3
+	virtual/pkgconfig
+"
+if [[ ${PV} == 9999 ]]; then
+	BDEPEND+=" ~app-text/scdoc-9999"
+else
+	BDEPEND+=" >=app-text/scdoc-1.11.3"
+fi
+
+FILECAPS=(
+	cap_sys_nice usr/bin/${MY_PN}
+)
+
+src_configure() {
+	local emesonargs=(
+		-Dman-pages=enabled
+		$(meson_feature tray)
+		$(meson_feature swaybar gdk-pixbuf)
+		$(meson_use swaynag)
+		$(meson_use swaybar)
+		$(meson_use wallpapers default-wallpaper)
+		-Dfish-completions=true
+		-Dzsh-completions=true
+		-Dbash-completions=true
+	)
+
+	meson_src_configure
+}
+
+src_install() {
+	meson_src_install
+	insinto /usr/share/xdg-desktop-portal
+	doins "${FILESDIR}/sway-portals.conf"
+}
+
+pkg_postinst() {
+	fcaps_pkg_postinst
+
+	optfeature_header "There are several packages that may be useful with sway:"
+	optfeature "wallpaper utility" gui-apps/swaybg
+	optfeature "idle management utility" gui-apps/swayidle
+	optfeature "simple screen locker" gui-apps/swaylock
+	optfeature "lightweight notification daemon" gui-apps/mako
+	echo
+	einfo "For a list of additional addons and tools usable with sway please"
+	einfo "visit the offical wiki at:"
+	einfo "https://github.com/swaywm/sway/wiki/Useful-add-ons-for-sway"
+	einfo "Please note that some of them might not (yet) available on gentoo"
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.